For the complete documentation index, see llms.txt. This page is also available as Markdown.

getGenesisHash

getGenesisHash — Genesis hash

post
/

Returns the genesis hash of the Solana network. The genesis hash is a unique identifier for the blockchain network that represents the initial state of the ledger.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getGenesisHash.

Example: getGenesisHashPossible values:
paramsarrayRequired

No parameters.

Responses
200

Successful getGenesisHash response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
resultstringRequired

Base-58 genesis hash.

post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getGenesisHash",
    "params": []
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"
}

Last updated